Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454887 - Rebase RPM to Fedora 9 version
Summary: Rebase RPM to Fedora 9 version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm
Version: 5.3
Hardware: All
OS: Linux
high
low
Target Milestone: rc
: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 233713 244236 250207 257921 355551 426258 431860 445075 447177 RHEL5u3_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-07-10 15:35 UTC by Denise Dumas
Modified: 2009-01-20 20:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
RPM Re-Base The RedHat Package Manager (RPM) is now re-based to the Fedora 9 upstream version. rpm now adds secondary architecture-specific macro files on multi-arch systems. In addition, rpm now meets all certification criteria for inclusion in Red Hat Enterprise Linux 5. This update also applies several upstream enhancements and bug fixes to rpm, including: * rpm no longer generates unnecessary .rpmnew and .rpmsave files on multi-arch systems. * A bug in the rpmgiNext() function of rpm prevented proper error reporting. This update applies the proper semantics for error reporting, thereby ensuring that rpm returns the correct exit code in all instances.
Clone Of:
Environment:
Last Closed: 2009-01-20 20:48:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0079 normal SHIPPED_LIVE rpm bug fix update 2009-01-20 16:04:16 UTC

Description Denise Dumas 2008-07-10 15:35:04 UTC
Description of problem:
 This is the general BZ place holder for the 5.3 errata to rebase to the 4.4.2.3
upstream rpm. This rebase includes numerous bugfixes.

Additional info:



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 RHEL Product and Program Management 2008-07-10 15:40:56 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 Don Domingo 2008-11-19 00:55:22 UTC
this bug is now documented in the RHEL5.3 release notes. you can view a mock build of this document at the following link:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.3/html-single/Release_Notes/

Comment 11 Don Domingo 2008-11-19 00:55:22 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
RPM Re-Base

The RedHat Package Manager (RPM) is now re-based to the Fedora 9 upstream version. rpm now adds secondary architecture-specific macro files on multi-arch systems. In addition, rpm now meets all certification criteria for inclusion in Red Hat Enterprise Linux 5.

This update also applies several upstream enhancements and bug fixes to rpm, including:

* rpm no longer generates unnecessary .rpmnew and .rpmsave files on multi-arch systems.

* A bug in the rpmgiNext() function of rpm prevented proper error reporting. This update applies the proper semantics for error reporting, thereby ensuring that rpm returns the correct exit code in all instances.

Comment 13 errata-xmlrpc 2009-01-20 20:48:20 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0079.html


Note You need to log in before you can comment on or make changes to this bug.